'use client';

import dynamic from 'next/dynamic';

const FeedbackOverlay = dynamic(
  () => import('@mintel/next-feedback/FeedbackOverlay').then((mod) => mod.FeedbackOverlay),
  { ssr: false },
);

interface FeedbackClientWrapperProps {
  feedbackEnabled: boolean;
}

export default function FeedbackClientWrapper({ feedbackEnabled }: FeedbackClientWrapperProps) {
  if (!feedbackEnabled) return null;

  return <FeedbackOverlay />;
}
